/scim/v2/ServiceProviderConfigAuthorization
Descope Project ID:Access Key Project ID:Access Key as bearer token.
In: header
Load the supported SCIM provisioning service provider configuration, using a valid access key.
This API endpoint allows administrators to load the supported SCIM provisioning service provider configuration. The response includes detailed information on the applicable configurations and schemas within your IdP for SCIM provisioning.
It is important to note the bearer token for SCIM API endpoints. The format is ProjectId:AccessKey the access key must be a SCIM access key scoped to the applicable tenant. Create one with the SCIM access key API, the SSO Setup Suite, or the Create SCIM Access Key flow action.
See also
- See SCIM Management for further details on managing SCIM provisioning.
curl -X GET "https://api.descope.com/scim/v2/ServiceProviderConfig"{ "schemas": [ "string" ], "documentationUri": "string", "patch": { "supported": true }, "bulk": { "supported": true, "maxOperations": 0, "maxPayloadSize": 0 }, "filter": { "supported": true, "maxResults": 0 }, "changePassword": { "supported": true }, "sort": { "supported": true }, "etag": { "supported": true }, "authenticationSchemes": [ { "name": "string", "description": "string", "primary": true, "specUri": "string", "type": "string" } ]}export interface Response {schemas?: string[]documentationUri?: stringpatch?: {supported?: boolean}bulk?: Bulkfilter?: FilterchangePassword?: {supported?: boolean}sort?: {supported?: boolean}etag?: SupportedauthenticationSchemes?: AuthenticationSchemes[]}export interface Bulk {supported?: booleanmaxOperations?: numbermaxPayloadSize?: number}export interface Filter {supported?: booleanmaxResults?: number}export interface Supported {supported?: boolean}export interface AuthenticationSchemes {name?: stringdescription?: stringprimary?: booleanspecUri?: stringtype?: string}Load SCIM Resource Types GET
### Load SCIM resource types, using a valid access key. This API endpoint allows administrators to load the resource types available within the SCIM provisioning. The response includes an array of the available resource types. It is important to note the bearer token for SCIM API endpoints. The format is `ProjectId:AccessKey` the access key must be a SCIM access key scoped to the applicable tenant. Create one with the SCIM access key API, the SSO Setup Suite, or the Create SCIM Access Key flow action. ### See also - See [SCIM Management](/scim) for further details on managing SCIM provisioning.
Patch SCIM User PATCH
Patch SCIM User, using a valid access key.